ภาพรวมคีย์
| รุ่นคีย์ | V4 |
|---|---|
| ข้อกำหนด | RFC 2440 · RFC 4880 · RFC 9580 |
| สถานะ | เข้ากันได้ แต่ RFC 9580 ไม่แนะนำให้ใช้แล้ว |
| คีย์หลัก (รับรอง ลงนาม) | ECDSA NIST P-256 · ID 19 · SHA-256 |
| คีย์ย่อยสำหรับเข้ารหัส | ECDH NIST P-256 · ID 18 |
| ลายนิ้วมือ | 9035B23C46C6563DF82B9E4AFD8B9262EA769B30 |
| วลีรหัสผ่านของคีย์ส่วนตัว | synthetic-key-password |
อัลกอริทึมและการใช้งาน
ECDSA NIST P-256: ลายเซ็นเส้นโค้งวงรีบน NIST P-256 พบทั่วไปในสมาร์ตการ์ด HSM และสภาพแวดล้อมที่กำหนดให้ใช้เส้นโค้ง NIST
ECDH NIST P-256: คีย์ย่อยสำหรับเข้ารหัสแบบ Diffie–Hellman บนเส้นโค้งวงรี NIST P-256.
คีย์สาธารณะ
ใบรับรองสาธารณะที่มีคีย์หลัก คีย์ย่อยสำหรับเข้ารหัส และลายเซ็นผูกคีย์ นำเข้าเพื่อตรวจสอบลายเซ็นหรือเข้ารหัสข้อมูลถึงตัวตนทดสอบนี้
ดาวน์โหลด → 725 ไบต์
-----BEGIN PGP PUBLIC KEY BLOCK-----
xlIEaveE/xMIKoZIzj0DAQcCAwTiO2guFVq+8UnLZmUDR5k2BseblWOTZL/YazD4
W0sYE0tBjponCMjCzBIGbDLw5JPZlN46vtmb5ojV6ALysNA9zSZDSC1KIG1hdHJp
eCAyMS12NC1lY2RzYS1wMjU2K2VjZGgtcDI1NsKMBBMTCAA0BQJq94T/FiEEkDWy
PEbGVj34K55K/YuSYup2mzACGwMCHgEDCwkHARUBFgUnCQIHAgIZAQAKCRD9i5Ji
6nabMCpEAQCx7hJxkEYid8QSVBgYQ75UIhUkk5UCgBt2BFnMz0Y92QEAwxc+ut0c
P1Nw8Vj4j1P8y14TPsnXZlD9Z2EupbOBLx7OVgRq94T/EggqhkjOPQMBBwIDBAPh
yQIH6+6XdJj+CNhL8djMYuA2qdGo91dpPFsIQawnf8gBndG/8GYKiaQ7Kk3m+JTe
WrURcrfp6CnfmMLmtxoDAQgHwngEGBMIACAFAmr3hP8WIQSQNbI8RsZWPfgrnkr9
i5Ji6nabMAIbDAAKCRD9i5Ji6nabMBT1AQCtittaItUx5XMRZ+wmM+LbbVxTR+Yt
zwpGTHDiVHMMrgD+IPYPe/UFmG3UTGeISGKKkuGiHB1Oo/akskAikO4t4Y4=
=lumU
-----END PGP PUBLIC KEY BLOCK-----
คีย์ส่วนตัว
คีย์ส่วนตัวที่ป้องกันด้วยวลีรหัสผ่านข้างต้น เผยแพร่เพื่อทดสอบเท่านั้น ทุกคนสามารถใช้ได้
ดาวน์โหลด → 951 ไบต์
แสดง
-----BEGIN PGP PRIVATE KEY BLOCK-----
xaUEaveE/xMIKoZIzj0DAQcCAwTiO2guFVq+8UnLZmUDR5k2BseblWOTZL/YazD4
W0sYE0tBjponCMjCzBIGbDLw5JPZlN46vtmb5ojV6ALysNA9/gkDCFURBCm9cjNe
4EN4aM1H5Zk18vmdR9Orrrh0qYonW1kRXrcoDIJn+qu6pXHpSNuhmvNpH/J2VR2H
knqkyWQBwS0Ny0MNcJIfeFdtyDcSU4HNJkNILUogbWF0cml4IDIxLXY0LWVjZHNh
LXAyNTYrZWNkaC1wMjU2wowEExMIADQFAmr3hP8WIQSQNbI8RsZWPfgrnkr9i5Ji
6nabMAIbAwIeAQMLCQcBFQEWBScJAgcCAhkBAAoJEP2LkmLqdpswKkQBALHuEnGQ
RiJ3xBJUGBhDvlQiFSSTlQKAG3YEWczPRj3ZAQDDFz663Rw/U3DxWPiPU/zLXhM+
yddmUP1nYS6ls4EvHsepBGr3hP8SCCqGSM49AwEHAgMEA+HJAgfr7pd0mP4I2Evx
2Mxi4Dap0aj3V2k8WwhBrCd/yAGd0b/wZgqJpDsqTeb4lN5atRFyt+noKd+Ywua3
GgMBCAf+CQMIVczLM7xTf1ngxa7cGuQZK+wSYgMgYe9qNrtY9C+wJ4Uyk5o2+vQD
wO0NeGmBe3D9fsglKFVub/2Le++MWokdGxhSgqXzompyM8nlN8UGY8J4BBgTCAAg
BQJq94T/FiEEkDWyPEbGVj34K55K/YuSYup2mzACGwwACgkQ/YuSYup2mzAU9QEA
rYrbWiLVMeVzEWfsJjPi221cU0fmLc8KRkxw4lRzDK4A/iD2D3v1BZht1ExniEhi
ipLhohwdTqP2pLJAIpDuLeGO
=9LHf
-----END PGP PRIVATE KEY BLOCK-----
ใบรับรองการเพิกถอน
ใบรับรองการเพิกถอนที่สร้างไว้ล่วงหน้า การนำเข้าจะทำเครื่องหมายว่าคีย์ถูกเพิกถอน เผยแพร่เพื่อให้คุณทดสอบการจัดการคีย์ที่ถูกเพิกถอนของซอฟต์แวร์
ดาวน์โหลด → 888 ไบต์
แสดง
-----BEGIN PGP PUBLIC KEY BLOCK-----
xlIEaveE/xMIKoZIzj0DAQcCAwTiO2guFVq+8UnLZmUDR5k2BseblWOTZL/YazD4
W0sYE0tBjponCMjCzBIGbDLw5JPZlN46vtmb5ojV6ALysNA9wnUEIBMIAB0FAmr3
hP8WIQSQNbI8RsZWPfgrnkr9i5Ji6nabMAAKCRD9i5Ji6nabMMMvAQDZsYafgU8w
DxL/9AIp7XyUdZgD+TALeB9DCYv8pHAqjQD/TL5S2FlR1+h/e5fB7hvYH8upxWOB
XxDnjEgnxk5wvdjNJkNILUogbWF0cml4IDIxLXY0LWVjZHNhLXAyNTYrZWNkaC1w
MjU2wowEExMIADQFAmr3hP8WIQSQNbI8RsZWPfgrnkr9i5Ji6nabMAIbAwIeAQML
CQcBFQEWBScJAgcCAhkBAAoJEP2LkmLqdpswKkQBALHuEnGQRiJ3xBJUGBhDvlQi
FSSTlQKAG3YEWczPRj3ZAQDDFz663Rw/U3DxWPiPU/zLXhM+yddmUP1nYS6ls4Ev
Hs5WBGr3hP8SCCqGSM49AwEHAgMEA+HJAgfr7pd0mP4I2Evx2Mxi4Dap0aj3V2k8
WwhBrCd/yAGd0b/wZgqJpDsqTeb4lN5atRFyt+noKd+Ywua3GgMBCAfCeAQYEwgA
IAUCaveE/xYhBJA1sjxGxlY9+CueSv2LkmLqdpswAhsMAAoJEP2LkmLqdpswFPUB
AK2K21oi1THlcxFn7CYz4tttXFNH5i3PCkZMcOJUcwyuAP4g9g979QWYbdRMZ4hI
YoqS4aIcHU6j9qSyQCKQ7i3hjg==
=y/vE
-----END PGP PUBLIC KEY BLOCK-----
ลายเซ็นของ test_1MB.bin
ลายเซ็นแบบแยกในรูปแบบ ASCII-armored ของ test_1MB.bin ที่สร้างด้วยคีย์นี้ใน CH-J Tools บันทึกเป็น test_1MB.bin.asc ไว้ข้างไฟล์ทดสอบ
ดาวน์โหลด → 228 ไบต์
-----BEGIN PGP SIGNATURE-----
wnUEABMIAB0WIQSQNbI8RsZWPfgrnkr9i5Ji6nabMAUCaveO8QAKCRD9i5Ji6nab
MKkPAQCGF3CU65a6U9xHp5Pnn6N9upLJTk9mkd9bxE6mghNDiwD+MXFxKbjlwS5B
thbU1fKoTtT9z5QRjlfFCuPe+y/a6wE=
=loPC
-----END PGP SIGNATURE-----
ตรวจสอบลายเซ็น
คีย์รุ่น 4 ใช้ได้กับ GnuPG และเครื่องมือ SOP เช่น sqop หรือ rsop หากรองรับอัลกอริทึมนั้น ใช้ GNUPGHOME ชั่วคราวเพื่อไม่ให้คีย์ทดสอบเข้าสู่พวงกุญแจที่ใช้งานจริง:
gpg --import pgp-example-21-public.asc
gpg --verify test_1MB.bin.asc test_1MB.bin